Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function.impl
Class FArgumentPrototypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.function.impl.FArgumentPrototypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FArgumentPrototype, IID, ITyped, SNamed

Direct Known Subclasses:
  FArgumentArrayPrototypeImpl, FMultiArgumentPrototypeImpl

    public class FArgumentPrototypeImpl

extends IIDImpl
implements FArgumentPrototype

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected java.lang.String` | `description` The cached value of the '`Description`' attribute.
`protected static java.lang.String` | `DESCRIPTION_EDEFAULT` The default value of the '`Description`' attribute.
`protected boolean` | `optional` The cached value of the '`Optional`' attribute.
`protected static boolean` | `OPTIONAL_EDEFAULT` The default value of the '`Optional`' attribute.
`protected static java.lang.String` | `PLURAL_LABEL_EDEFAULT` The default value of the '`Plural Label`' attribute.
`protected java.lang.String` | `pluralLabel` The cached value of the '`Plural Label`' attribute.
`protected SAttributeType` | `sType` The cached value of the '`SType`' attribute.
`protected static SAttributeType` | `STYPE_EDEFAULT` The default value of the '`SType`' attribute.

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `FArgumentPrototypeImpl()`

Method Summary
`boolean` | `accepts(IValue value)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetInputFunction(FFunction newInputFunction, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOutputFunction(FGenericFunction newOutputFunction, org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` | `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`org.eclipse.emf.common.notify.NotificationChain` | `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`int` | `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getDescription()`
`FFunction` | `getInputFunction()`
`FGenericFunction` | `getOutputFunction()`
`java.lang.String` | `getPluralLabel()`
`SAttributeType` | `getSType()`
`boolean` | `isOptional()`
`void` | `setDescription(java.lang.String newDescription)`
`void` | `setInputFunction(FFunction newInputFunction)`
`void` | `setOptional(boolean newOptional)`
`void` | `setOutputFunction(FGenericFunction newOutputFunction)`
`void` | `setPluralLabel(java.lang.String newPluralLabel)`
`void` | `setSType(SAttributeType newSType)`
`java.lang.String` | `toString()`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, references, setID, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.SNamed
`references`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### STYPE_EDEFAULT

    protected static final SAttributeType STYPE_EDEFAULT

  The default value of the '`SType`' attribute.

  See Also:
    `getSType()`

### sType

    protected SAttributeType sType

  The cached value of the '`SType`' attribute.

  See Also:
    `getSType()`

### PLURAL_LABEL_EDEFAULT

    protected static final java.lang.String PLURAL_LABEL_EDEFAULT

  The default value of the '`Plural Label`' attribute.

  See Also:
    `getPluralLabel()`

### pluralLabel

    protected java.lang.String pluralLabel

  The cached value of the '`Plural Label`' attribute.

  See Also:
    `getPluralLabel()`

### DESCRIPTION_EDEFAULT

    protected static final java.lang.String DESCRIPTION_EDEFAULT

  The default value of the '`Description`' attribute.

  See Also:
    `getDescription()`

### description

    protected java.lang.String description

  The cached value of the '`Description`' attribute.

  See Also:
    `getDescription()`

### OPTIONAL_EDEFAULT

    protected static final boolean OPTIONAL_EDEFAULT

  The default value of the '`Optional`' attribute.

  See Also:
    `isOptional()`, Constant Field Values

### optional

    protected boolean optional

  The cached value of the '`Optional`' attribute.

  See Also:
    `isOptional()`

Constructor Detail

### FArgumentPrototypeImpl

    protected FArgumentPrototypeImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `IIDImpl`

### getSType

    public SAttributeType getSType()

  Specified by:
    `getSType` in interface `ITyped`
  Returns:
    the value of the 'SType' attribute.
  See Also:
    `SAttributeType`, `ITyped.setSType(SAttributeType)`, `MetaABMPackage.getITyped_SType()`

### setSType

    public void setSType(SAttributeType newSType)

  Specified by:
    `setSType` in interface `ITyped`
  Parameters:
    `newSType` - the new value of the 'SType' attribute.
  See Also:
    `SAttributeType`, `ITyped.getSType()`

### getPluralLabel

    public java.lang.String getPluralLabel()

  Specified by:
    `getPluralLabel` in interface `SNamed`
  Returns:
    the value of the 'Plural Label' attribute.
  See Also:
    `SNamed.setPluralLabel(String)`, `MetaABMPackage.getSNamed_PluralLabel()`

### setPluralLabel

    public void setPluralLabel(java.lang.String newPluralLabel)

  Specified by:
    `setPluralLabel` in interface `SNamed`
  Parameters:
    `newPluralLabel` - the new value of the 'Plural Label' attribute.
  See Also:
    `SNamed.getPluralLabel()`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `SNamed`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SNamed.setDescription(String)`, `MetaABMPackage.getSNamed_Description()`

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `SNamed`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `SNamed.getDescription()`

### getInputFunction

    public FFunction getInputFunction()

  Specified by:
    `getInputFunction` in interface `FArgumentPrototype`
  Returns:
    the value of the 'Input Function' container reference.
  See Also:
    `FArgumentPrototype.setInputFunction(FFunction)`, `MetaABMFunctionPackage.getFArgumentPrototype_InputFunction()`, `FFunction.getInputPrototypes()`

### basicSetInputFunction

    public org.eclipse.emf.common.notify.NotificationChain basicSetInputFunction(FFunction newInputFunction,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setInputFunction

    public void setInputFunction(FFunction newInputFunction)

  Specified by:
    `setInputFunction` in interface `FArgumentPrototype`
  Parameters:
    `newInputFunction` - the new value of the 'Input Function' container reference.
  See Also:
    `FArgumentPrototype.getInputFunction()`

### getOutputFunction

    public FGenericFunction getOutputFunction()

  Specified by:
    `getOutputFunction` in interface `FArgumentPrototype`
  Returns:
    the value of the 'Output Function' container reference.
  See Also:
    `FArgumentPrototype.setOutputFunction(FGenericFunction)`, `MetaABMFunctionPackage.getFArgumentPrototype_OutputFunction()`, `FGenericFunction.getOutputPrototypes()`

### basicSetOutputFunction

    public org.eclipse.emf.common.notify.NotificationChain basicSetOutputFunction(FGenericFunction newOutputFunction,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setOutputFunction

    public void setOutputFunction(FGenericFunction newOutputFunction)

  Specified by:
    `setOutputFunction` in interface `FArgumentPrototype`
  Parameters:
    `newOutputFunction` - the new value of the 'Output Function' container reference.
  See Also:
    `FArgumentPrototype.getOutputFunction()`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `FArgumentPrototype`
  Returns:
    the value of the 'Optional' attribute.
  See Also:
    `FArgumentPrototype.setOptional(boolean)`, `MetaABMFunctionPackage.getFArgumentPrototype_Optional()`

### setOptional

    public void setOptional(boolean newOptional)

  Specified by:
    `setOptional` in interface `FArgumentPrototype`
  Parameters:
    `newOptional` - the new value of the 'Optional' attribute.
  See Also:
    `FArgumentPrototype.isOptional()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `IIDImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `IIDImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `IIDImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `IIDImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `IIDImpl`

### accepts

    public boolean accepts(IValue value)

  Specified by:
    `accepts` in interface `FArgumentPrototype`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD